import { Observable } from 'rxjs';
import { AuthService } from '../auth/auth.service';
export declare class NgrxHelpersService {
    private auth;
    constructor(auth: AuthService);
    ifObservable<T, T2 = T>(ifObs: Observable<any>, thenObs: Observable<T>, elseObs?: Observable<T2>, condition?: BooleanConstructor): Observable<T | T2>;
    ifLoggedIn<T, T2 = T>(thenObs: Observable<T>, elseObs?: Observable<T2>, condition?: any): Observable<T | T2>;
}
